Bug 184845 - The branding suite edit bundles option should include internationalization options
The branding suite edit bundles option should include internationalization op...
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P2 with 2 votes (vote)
: 7.0
Assigned To: Martin Kozeny
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 13:21 UTC by alied
Modified: 2013-05-04 01:47 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alied 2010-04-23 13:21:02 UTC
Great work on the Suite branding lads!
The one thing missing is internationalization.

I mean, besides editing the bundles, also allow to add new locales, and add the desired locale and add the desired properties to be edited
(or add all properties and each one decides which to keep and edit)

Product Version = NetBeans IDE 6.9 Beta (Build 201004200117)
Operating System = Windows Vista version 6.0 running on x86
Java; VM; Vendor = 1.6.0_20
Runtime = Java HotSpot(TM) Client VM 16.3-b01
Comment 1 Peter Pis 2010-04-23 13:46:14 UTC
Please evaluate.
Comment 2 alied 2010-04-23 19:41:45 UTC
you can take into account if there is already a locale installed in the platform, so it be reused
Comment 3 Antonin Nebuzelsky 2010-04-26 14:06:15 UTC
Agreed this is a logical complement to the Branding Editor.

A slightly different UI will be needed because with localizations the user will probably want to reuse L10N already available for his language, or provide L10N for all/majority of strings if complete or partial L10N is not available at all.
Comment 4 Martin Kozeny 2013-05-02 09:29:42 UTC
https://hg.netbeans.org/core-main/rev/284e8c0964f5
For new localization it takes by default basic branding values if it is not overridden by actual one.
Comment 5 Quality Engineering 2013-05-04 01:47:27 UTC
Integrated into 'main-golden', will be available in build *201305032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/284e8c0964f5
User: Martin Kozeny <mkozeny@netbeans.org>
Log: #184845:  The branding suite edit bundles option now includes internationalization options.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo